<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers.html">Matchers</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers_1_1StdString.html">StdString</a></li><li class="navelem"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html">StartsWithMatcher</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::Matchers::StdString::StartsWithMatcher Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html">Catch::Matchers::StdString::StartsWithMatcher</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html#a47af030f8cea42a601ffb1000eea5cca">describe</a>() const override</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html">Catch::Matchers::StdString::StringMatcherBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html#a47af030f8cea42a601ffb1000eea5cca">describe</a>() const override</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html">Catch::Matchers::StdString::StringMatcherBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a951095c462657e7097a9a6dc4dde813f">m_cachedToString</a></td><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html#a17c9f0fe40587070ffe998c193742831">m_comparator</a></td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html">Catch::Matchers::StdString::StringMatcherBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html#a7a25c4b7d863e9a1c406d81efd0f83ca">m_operation</a></td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html">Catch::Matchers::StdString::StringMatcherBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html#a7da4747aed0c48989d8be59a89e2b7fb">match</a>(std::string const &amp;source) const override</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html">Catch::Matchers::StdString::StartsWithMatcher</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html#a7da4747aed0c48989d8be59a89e2b7fb">match</a>(std::string const &amp;source) const override</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html">Catch::Matchers::StdString::StartsWithMatcher</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html#ae0920ff9e817acf08e1bb0cbcb044e30">Catch::Matchers::StdString::StringMatcherBase::match</a>(T const &amp;arg) const=0</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html">Catch::Matchers::Impl::MatcherMethod&lt; T &gt;</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#ab65764dc245d85e2b268d3be870b650a">MatcherUntypedBase</a>()=default</td><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a985fd3c3ffcc9f2e8dc7a330130040b0">MatcherUntypedBase</a>(MatcherUntypedBase const &amp;)=default</td><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#ab65764dc245d85e2b268d3be870b650a">MatcherUntypedBase</a>()=default</td><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a985fd3c3ffcc9f2e8dc7a330130040b0">MatcherUntypedBase</a>(MatcherUntypedBase const &amp;)=default</td><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#a5bb94bf2ff5c7ef73b7c11eb173bdf3b">operator!</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#ab954fa2f3149c104323ca798dc8411e1">operator!</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#aae4a9827601f6f26a52126e193d012de">operator&amp;&amp;</a>(MatcherBase const &amp;other) const</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#afb08943b9b5b88e4016151d83c1bde44">operator&amp;&amp;</a>(MatcherBase const &amp;other) const</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a62668ccc47b64a9094dcb6413f9af80b">operator=</a>(MatcherUntypedBase const &amp;)=delete</td><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a62668ccc47b64a9094dcb6413f9af80b">operator=</a>(MatcherUntypedBase const &amp;)=delete</td><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#a5f8542b8f1567a6f9c65d0a6da7b679b">operator||</a>(MatcherBase const &amp;other) const</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#a28fdcec2f06eaefd83e8d2a987e7e32a">operator||</a>(MatcherBase const &amp;other) const</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html#a7b86f258bdbd131a6e7bcd94a8977325">StartsWithMatcher</a>(CasedString const &amp;comparator)</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html">Catch::Matchers::StdString::StartsWithMatcher</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html#a7b86f258bdbd131a6e7bcd94a8977325">StartsWithMatcher</a>(CasedString const &amp;comparator)</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html">Catch::Matchers::StdString::StartsWithMatcher</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html#a3a9b66bae298ae27058478529b4bb39d">StringMatcherBase</a>(std::string const &amp;operation, CasedString const &amp;comparator)</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html">Catch::Matchers::StdString::StringMatcherBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html#a3a9b66bae298ae27058478529b4bb39d">StringMatcherBase</a>(std::string const &amp;operation, CasedString const &amp;comparator)</td><td class="entry"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html">Catch::Matchers::StdString::StringMatcherBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a5982c7c80ca71dfe2298babadad7a453">toString</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a5982c7c80ca71dfe2298babadad7a453">toString</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a853be93ce33f71b5abede38081c79e9d">~MatcherUntypedBase</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a853be93ce33f71b5abede38081c79e9d">~MatcherUntypedBase</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
